### Method

# Ggit CheckoutOptions set_target_directory

#### Declaration [src]

    void
    ggit_checkout_options_set_target_directory (
      GgitCheckoutOptions* options,
      const gchar* directory
    )

#### Description [src]

Set the checkout target directory.

Sets property | `Ggit.CheckoutOptions:target-directory`

#### Parameters

`directory`

  Type: `const gchar*`

  The target directory.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.